Get Service Mesh List For Migrations

Get Service Mesh List For Migrations
Retrieve the applicable service meshes for the specified migration parameters

Retrieves service meshes that can be used for migrating VMs based on source and destination parameters.

Request
URI
POST
https://{server}/hybridity/api/interconnect/mobility/servicemeshes
COPY
Request Body

Migration parameters

mobilityServiceMeshRequest of type(s) application/json
Required
{
    "migrationType": "string",
    "source": {
        "entityId": "string",
        "entityType": "string",
        "computeId": "string",
        "computeType": "string",
        "endpointId": "string",
        "resourceId": "string",
        "resourceType": "string"
    },
    "destination": {
        "computeId": "string",
        "computeType": "string",
        "endpointId": "string",
        "resourceId": "string",
        "resourceType": "string"
    }
}
string
migrationType
Optional

migrationType

object
source
Optional

source

object
destination
Optional

destination

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns serviceMeshListSuccessResponse of type(s) application/json
{
    "items": [
        {
            "id": "string",
            "name": "string",
            "state": "string",
            "trafficEnggCfg": {
                "isEncryptionlessTunnelEnabledForMigration": false,
                "isEncryptionlessTunnelEnabledForNE": false
            }
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
items
Optional

items

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/interconnect/mobility/servicemeshes